me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageSmoke

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageSmoke

    public class StorageSmoke
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageSmoke()`
`StorageSmoke(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.String particleName, java.lang.Boolean enabled)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `getEnabled()` Is the exhaust enabled
`java.lang.String` `getParticleName()`
`java.lang.Double` `getXOffset()` X offset from center
`java.lang.Double` `getYOffset()` Y offset from center
`java.lang.Double` `getZOffset()` Z offset from center
`void` `setEnabled(java.lang.Boolean enabled)` Is the exhaust enabled
`void` `setParticleName(java.lang.String particleName)` The name of the particle
`void` `setXOffset(java.lang.Double xOffset)` X offset from center
`void` `setYOffset(java.lang.Double yOffset)` Y offset from center
`void` `setZOffset(java.lang.Double zOffset)` Z offset from center

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageSmoke

    public StorageSmoke(java.lang.Double xOffset,
                        java.lang.Double yOffset,
                        java.lang.Double zOffset,
                        java.lang.String particleName,
                        java.lang.Boolean enabled)

#### StorageSmoke

    public StorageSmoke()

### Method Detail

#### getParticleName

    public java.lang.String getParticleName()

#### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

Is the exhaust enabled

#### setXOffset

    public void setXOffset(java.lang.Double xOffset)

X offset from center

#### setYOffset

    public void setYOffset(java.lang.Double yOffset)

Y offset from center

#### setZOffset

    public void setZOffset(java.lang.Double zOffset)

Z offset from center

#### setParticleName

    public void setParticleName(java.lang.String particleName)

The name of the particle

#### getEnabled

    public java.lang.Boolean getEnabled()

Is the exhaust enabled

#### getXOffset

    public java.lang.Double getXOffset()

X offset from center

#### getYOffset

    public java.lang.Double getYOffset()

Y offset from center

#### getZOffset

    public java.lang.Double getZOffset()

Z offset from center